package com.logicbig.example;

import static com.logicbig.example.RegexUtil.*;

public class AtomicGroupsExample {

    public static void main(String[] args) {
        test("p(ut|u)t", "putt");
        test("p(ut|u)t", "put");
        test("p(?>ut|u)t", "put");
        test("p(?>it|u)t", "put");
        test("p(?>ut|u)t", "putt");
        test("p(?>(ut|u))\\1", "putut");
        test("p(?>(ut|u))\\1", "puu");

        test("<(image|img)>", "<image>");
        test("<(image|img)>", "<img>");
        test("<(?>image|img)>", "<img>");
        test("<(image|img)>", "<image");
        test("<(?>image|img)>", "<image");
    }
}